unit nsftplgdecl;

interface
uses windows;

type
TPlugInInfo=record //  
     PluginClass:integer;
     PluginName:string[40];
     Editable:boolean;
     PluginInfo:string[255];
end;
TGetPlugInInfo=procedure(var plgInfo:TPlugInInfo);stdcall;
TGenerateAsciiBasedBitMap=function(w,h:integer;AsciiString,Path:string;SettingFile:String):LongInt;stdcall;
TShowPluginControl=procedure(SettingFile:string) ;stdcall;

const
   NSFT_ASCIIDRAWER=$C0BACA;
   NSFT_EMPTY=$BA0BAB;
   NSFT_DRAW_ONCE=$EDA111;
   NSFT_HAS_CONFIG_FORM=$DA0515;
   NSFT_POLYMORPHIC=NSFT_DRAW_ONCE and NSFT_ASCIIDRAWER;
   //error codes
   NSFT_ERROR_INVALIDDIM=-2;
   NSFT_ERROR_INVALID_HOST_REQUEST=-3;
   NSFT_ERROR_INVALID_INTERNAL_CANVAS_OPERATION=-4;

function GetCFGKey(CFGFile,Section,Key:string):string;

implementation

function GetCFGKey(CFGFile,Section,Key:string):string;
var i,size:integer;
	pRetVal,pSec,pKey,pFile:Pchar;
begin

size:=100;
pSec:=PChar(Section);
pKey:=Pchar(Key);
pFile:=PChar(CFGFile);
GetMem(pRetVal,size);
i:=GetPrivateProfileString(pSec,pKey,nil,pRetVal,size,pFile);
while i>=size-2 do
begin
   inc(size,size);
   FreeMem(pRetVal);
   GetMem(pRetVal,size);
   i:=GetPrivateProfileString(pSec,pKey,nil,pRetVal,size,pFile);
end;
Result:=pRetVal;
FreeMem(pRetVal);
end;
end.
 